/*
Xml examples 

File watch
<root>
    <file>
        <path>c:\temp.tmp</path>
        <process>1</process>
    </file>
</root>

Registry watch
<root>
    <registry>
        <key>HKCU\Software\Tweakeze\test</key>
        <name>MyValue</name>
        <value>1</value>
        <process>1</process>
    </registry>
</root>

*/


var myMsgBox=new ActiveXObject("wscript.shell");	

function OnItem(sContext)
{
	var oXml = new ActiveXObject("Msxml2.DOMDocument.3.0");
	oXml.async = false;
	oXml.loadXML(sContext);
		
	try{
		
		var oProcessFile = oXml.selectSingleNode("//root/file/process");
		if (oProcessFile){
			oProcessFile.text = "1";
		}
		
		var oProcessRegistry = oXml.selectSingleNode("//root/registry/process");
		if (oProcessRegistry){
			oProcessRegistry.text = "1";
			//myMsgBox.Popup(oXml.xml, 0, "JScript");
		}		
		
		return oXml.xml;
	}catch(err){
		//myMsgBox.Popup(err.message, 0, "JScript");
		return err.message;
	}

}

//var oXml = OnItem("<root><file><path>c:\\temp.tmp</path><process>100</process></file></root>");
//myMsgBox.Popup(oXml);
//oXml = OnItem("<root><registry><key>HKCU\\Software\\Tweakeze\\test</key><name>MyValue</name><value>1</value><process>100</process></registry></root>");


function OnFix(sContext)
{
	var oXml = new ActiveXObject("Msxml2.DOMDocument.3.0");
	oXml.async = false;
	oXml.loadXML(sContext);
		
	try{
		
		var oProcessFile = oXml.selectSingleNode("//root/file/process");
		if (oProcessFile){
			var oFilename = oXml.selectSingleNode("//root/file/path");
			var oFSO = new ActiveXObject("Scripting.FileSystemObject")
			if (oFSO.GetExtensionName(oFilename.text) == "tmp"){
				//Allow fixing for "tmp" files 
				oProcessFile.text = "1";
			}else{
				oProcessFile.text = "0";
			}				
				
		}
		
		var oProcessRegistry = oXml.selectSingleNode("//root/registry/process");
		if (oProcessRegistry){
			//oProcessRegistry.text = "0"
			//myMsgBox.Popup(oXml.xml, 0, "JScript");
			
			//Allow fixing
			oProcessRegistry.text = "1"
		}		
		
		return oXml.xml;
		
	}catch(err){
		//myMsgBox.Popup(err.message);
		return err.message;
	}
}

//var oXml = OnFix("<root><file><path>c:\\temp.tmp</path><process>100</process></file></root>");
//myMsgBox.Popup(oXml);
//oXml = OnFix("<root><file><path>c:\\temp.log</path><process>100</process></file></root>");
//myMsgBox.Popup(oXml);
//oXml = OnFix("<root><registry><key>HKCU\\Software\\Tweakeze\\test</key><name>MyValue</name><value>1</value><process>100</process></registry></root>");
//myMsgBox.Popup(oXml);

/*
File Change Notification
<root>
    <file>
        <path>c:\temp.tmp</path>
        <notify>1<notify>
    </file>
</root>

Notification Change type <notify>
Add 				= 1		==>The file was added to the directory.
Removed 			= 2 	==>The file was removed from the directory. When a file is renamed to a different directory the client will receive this notification along with MODIFIED.
Modified 			= 3		==> The file was modified. This can be a change to the data or attributes of the file. When a file is renamed to a different directory the client will receive this notification along with REMOVED.
Renamed_Old_Name	= 4 	==>The file was renamed, and this is the old name. This notification is only sent when the rename operation does not change the directory the file resides in. The client will also receive a RENAMED_NEW_NAME notification. This notification will not be received if the file is renamed to a different directory.
Renamed_New_Name	= 5 	==>The file was renamed, and this is the new name. This notification is only sent when the rename operation does not change the directory the file resides in. The client will also receive a RENAME_OLD_NAME notification. This notification will not be received if the file is renamed to a different directory.
*/
function OnChange(sContext)
{
	var oXml = new ActiveXObject("Msxml2.DOMDocument.3.0");
	oXml.async = false;
	oXml.loadXML(sContext);
		
	try{
		
		var oNotifyType = oXml.selectSingleNode("//root/file/notify");
		if (oNotifyType){
			var oFilename = oXml.selectSingleNode("//root/file/path");
			
			if (oNotifyType.text == "2"){
				//myMsgBox.Popup(oFilename.text, 0, "JScript - File Deleted");
			}

			if (oNotifyType.text == "1"){
				//myMsgBox.Popup(oFilename.text, 0, "JScript - File Added");
			}
		}
	
	}catch(err){
		//myMsgBox.Popup(err.message);
	}
}

//OnChange("<root><file><path>c:\\temp.tmp</path><notify>1</notify></file></root>");
//OnChange("<root><file><path>c:\\temp.tmp</path><notify>2</notify></file></root>");





